[tracker-oci-images/sam/ubuntu] Add Ubuntu image for CI
- From: Sam Thursfield <sthursfield src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [tracker-oci-images/sam/ubuntu] Add Ubuntu image for CI
- Date: Fri, 13 Dec 2019 21:54:52 +0000 (UTC)
commit e0ac96175b40733e70f0136e63cf785c7cdb68ae
Author: Sam Thursfield <sam afuera me uk>
Date: Fri Dec 13 22:43:14 2019 +0100
Add Ubuntu image for CI
This pulls the 'rolling' tag from https://hub.docker.com/_/ubuntu
which seems to be the latest stable release. The 'latest' tag seems
to be the latest LTS release, but let's prefer the newest version.
.gitlab-ci.yml | 10 ++++++++++
debian/cleanup.sh | 15 +++++++++++++++
debian/prepare.sh | 12 ++++++++++++
debian/ubuntu-rolling | 6 ++++++
4 files changed, 43 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 8798140..59c2c3f 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -47,3 +47,13 @@ fedora:latest:
DIR: "fedora"
<<: *distro_build
+
+ubuntu:rolling:
+ variables:
+ ARCH: "amd64"
+ DISTRO_NAME: "ubuntu"
+ DISTRO_VER: "rolling"
+ OCI_YML: "ubuntu-rolling"
+ DIR: "debian"
+
+ <<: *distro_build
diff --git a/debian/cleanup.sh b/debian/cleanup.sh
new file mode 100644
index 0000000..25db42d
--- /dev/null
+++ b/debian/cleanup.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -eu
+
+# These are installed by `apt build-dep tracker-miners`. We don't want them in
+# the test environment, so we can be sure that tests are running against what's
+# in the build tree and not what's installed in /usr.
+echo "Removing Tracker packages"
+apt-get -yq remove libtracker-sparql-2.0-0 libtracker-miner-2.0-0 libtracker-control-2.0-0 tracker
+
+echo "Removing apt cache"
+apt-get clean
+rm -rf /var/lib/apt/lists
+
+rm -R /root/*
diff --git a/debian/prepare.sh b/debian/prepare.sh
new file mode 100644
index 0000000..9e14e70
--- /dev/null
+++ b/debian/prepare.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Enable source repositories so we can use `apt-get build-dep`
+
+sed -Ei 's/^# deb-src /deb-src /' /etc/apt/sources.list
+apt-get -yq update && apt-get -yq upgrade
+
+apt-get -yq build-dep tracker tracker-miners
+apt-get -yq remove ibtracker-sparql-2.0-0 libtracker-miner-2.0-0 libtracker-control-2.0-0 tracker
+
+# For rss miner, which I guess Debian/Ubuntu disable by default
+apt-get -yq install libgrss-dev
diff --git a/debian/ubuntu-rolling b/debian/ubuntu-rolling
new file mode 100644
index 0000000..001ba95
--- /dev/null
+++ b/debian/ubuntu-rolling
@@ -0,0 +1,6 @@
+FROM ubuntu:rolling
+
+COPY prepare.sh cleanup.sh /root/
+
+RUN /bin/sh /root/prepare.sh && \
+ /bin/sh /root/cleanup.sh
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]